Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.caucho
Class BurlapServiceExporter

    java.lang.Object
      org.springframework.remoting.support.RemotingSupport
          org.springframework.remoting.support.RemoteExporter
              org.springframework.remoting.caucho.BurlapExporter
                  org.springframework.remoting.caucho.BurlapServiceExporter

All Implemented Interfaces:
  BeanClassLoaderAware, InitializingBean, HttpRequestHandler

    public class BurlapServiceExporter

extends BurlapExporter
implements HttpRequestHandler

Servlet-API-based HTTP request handler that exports the specified service bean as Burlap service endpoint, accessible via a Burlap proxy.

Note: Spring also provides an alternative version of this exporter, for Sun's JRE 1.6 HTTP server: `SimpleBurlapServiceExporter`.

Burlap is a slim, XML-based RPC protocol. For information on Burlap, see the Burlap website.

This exporter will work with both Burlap 2.x and 3.x (respectively Resin 2.x and 3.x), autodetecting the corresponding skeleton class.

Note: Burlap services exported with this class can be accessed by any Burlap client, as there isn't any special handling involved.

Since:
  13.05.2003
Author:
  Juergen Hoeller
See Also:
  `BurlapClientInterceptor`, `BurlapProxyFactoryBean`, `HessianServiceExporter`, `HttpInvokerServiceExporter`, `RmiServiceExporter`

Field Summary

Fields inherited from class org.springframework.remoting.support.RemotingSupport
`logger`

Constructor Summary
`BurlapServiceExporter()`

Method Summary
`void` | `handleRequest(HttpServletRequest request, HttpServletResponse response)` Processes the incoming Burlap request and creates a Burlap response.

Methods inherited from class org.springframework.remoting.caucho.BurlapExporter
`afterPropertiesSet, invoke, prepare`

Methods inherited from class org.springframework.remoting.support.RemoteExporter
`checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, isRegisterTraceInterceptor, setRegisterTraceInterceptor, setService, setServiceInterface`

Methods inherited from class org.springframework.remoting.support.RemotingSupport
`getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BurlapServiceExporter

    public BurlapServiceExporter()

Method Detail

### handleRequest

    public void handleRequest(HttpServletRequest request,
                              HttpServletResponse response)
                       throws ServletException,
                              IOException

  Processes the incoming Burlap request and creates a Burlap response.

  Specified by:
    `handleRequest` in interface `HttpRequestHandler`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
  Throws:
    `ServletException` - in case of general errors
    `IOException` - in case of I/O errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.